Anonymous Login
2019-08-19 17:43 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001642v3.4 Release (Current)Taskspublic2019-01-03 12:53
Reportergsapu 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001642: Incorrect datetime value: '2014-12-19 18:15:00<br />' for column 'task_end_date'
DescriptionWhen trying to add/modify an activity(task?) Date,
there is an extra '
' that appears out of nowhere... thus no start/end date modification can be done.


==> /var/log/apache2/error_log <==
[Thu Dec 04 11:52:02.044050 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Notice: db_insert_id has been deprecated in v3.2 and will be removed in v5.0. Please use w2p_Database_Connection->db_insert_id instead. in /srv/www/htdocs/dotproject/includes/deprecated_functions.php on line 604, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056661 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] /srv/www/htdocs/dotproject/classes/w2p/Database/Query.class.php(1139): query failed(UPDATE `tasks` SET `task_percent_complete` = '0', `task_end_date` = '2014-12-19 18:15:00
' WHERE task_id = 1503) - error was: <span style="color:red">Incorrect datetime value: '2014-12-19 18:15:00
' for column 'task_end_date' at row 1</span>, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056695 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: ERROR: /srv/www/htdocs/dotproject/classes/w2p/Database/Query.class.php(1139) : query failed(UPDATE `tasks` SET `task_percent_complete` = '0', `task_end_date` = '2014-12-19 18:15:00
' WHERE task_id = 1503) - error was: <span style="color:red">Incorrect datetime value: '2014-12-19 18:15:00
' for column 'task_end_date' at row 1</span> in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2916, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056724 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: Backtrace: in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2917, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056737 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: 0 /srv/www/htdocs/dotproject/classes/w2p/Database/Query.class.php:1139 dprint() in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2919, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056746 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: 1 /srv/www/htdocs/dotproject/modules/tasks/logs.class.php:257 exec() in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2919, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056755 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: 2 /srv/www/htdocs/dotproject/modules/tasks/logs.class.php:192 updateTaskSummary() in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2919, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056763 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: 3 /srv/www/htdocs/dotproject/classes/w2p/Core/BaseObject.class.php:798 hook_postStore() in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2919, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056773 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: 4 /srv/www/htdocs/dotproject/classes/w2p/System/Dispatcher.class.php:92 publish() in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2919, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056781 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: 5 /srv/www/htdocs/dotproject/classes/w2p/Core/BaseObject.class.php:366 publish() in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2919, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056789 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: 6 /srv/www/htdocs/dotproject/modules/tasks/do_updatetask.php:21 store() in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2919, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
[Thu Dec 04 11:52:02.056801 2014] [php5:error] [pid 22638] [client 192.168.0.62:49790] PHP Warning: 7 /srv/www/htdocs/dotproject/index.php:225 require() in /srv/www/htdocs/dotproject/includes/cleanup_functions.php on line 2919, referer: http://server/dotproject/index.php?m=tasks&a=view&task_id=1503&tab=1
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003729

caseydk (administrator)

Resolved in development:
https://github.com/web2project/web2project/commit/055c58dd92b2dbe48010c66986b8207aec42d13d

~0003931

caseydk (administrator)

In the 31 Dec 2018 release: http://docs.web2project.net/release-notes/3.4.html
+Notes

-Issue History
Date Modified Username Field Change
2014-12-04 03:10 gsapu New Issue
2014-12-11 22:30 caseydk Note Added: 0003729
2014-12-11 22:30 caseydk Status new => resolved
2014-12-11 22:30 caseydk Fixed in Version => 3.3
2014-12-11 22:30 caseydk Resolution open => fixed
2014-12-11 22:30 caseydk Assigned To => caseydk
2016-12-26 23:37 caseydk Project v3.3 Release => v3.4 Release (Current)
2019-01-03 12:53 caseydk Note Added: 0003931
2019-01-03 12:53 caseydk Status resolved => closed
+Issue History